# List accounts

> List accounts the agent can act on under its policy.

`GET /v1/agent-api/accounts`

## Responses

| Status | Description         |
| ------ | ------------------- |
| `200`  | Accessible accounts |

## Response fields

| Field                 | Type            | Required | Description |
| --------------------- | --------------- | -------- | ----------- |
| `accounts`            | array of object | Yes      |             |
| `accounts[].id`       | string          | Yes      |             |
| `accounts[].name`     | string          | Yes      |             |
| `accounts[].type`     | string          | Yes      |             |
| `accounts[].currency` | string          | Yes      |             |

## Example

### SDK

```ts
import { createCatenaClient } from "@catena/sdk"

// Reads CATENA_SECRET_KEY
const client = createCatenaClient()

const { accounts } = await client.listAccounts()
```

### CLI

```sh
catena accounts list
```

### Response `200`

```json
{
  "accounts": [
    {
      "id": "acct_01JC2Y6ZQ8R4M7N9P3S5T6V8WX",
      "name": "Operating",
      "type": "wallet",
      "currency": "USD"
    }
  ]
}
```
